<?xml version = "1.0" encoding = "ISO-8859-1"?>
<!-- racine du document, prcise le sens du prfixe xsl -->
<xsl:stylesheet version = "1.1" xmlns:xsl = "http://www.w3.org/1999/XSL/Transform">
  <!-- format de sortie: html -->
  <xsl:output method = "html"/>
  <!-- modle  partir de la racine du fichier-->
  <xsl:template match = "/">
    <html>
      <head>
      
      </head>
      <body bgcolor = "#ffffff">
      <font face="verdana,arial,helvetica">
        <hr/><h1><center>
          Contenu de la GoBASE
        </center></h1><hr/><br />
        <font size="2">
        <table border = "1" cellspacing="0">
          <tr bgcolor="#ddddff">
            
            <th>Nom</th>
            <th width="400">Description</th>
            <th>Type</th>
            <th>Base</th>
            <th>Chemin dans la base</th>
            <th>Date Dbut</th>
            <th>Date fin</th>
            <th>Echelle min</th>
            <th>Echelle max</th>
            <th>Actualis</th>
            <th>Valid</th>
            <th>Frq. MAJ</th>
            <th>Histo.  l'objet</th>
          </tr>
          <!-- Parcours des noeuds "entry" du fichier xml-->
          
          <!-- Chaque noeud correspond  une couche rpertorie dans le fichier cougra.xml-->
          <xsl:for-each select = "TABLE/ENTRY">
            <tr>
              <td>
                <xsl:value-of select = "@COUGRA_RFA"/>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test = "text()!=''"><xsl:value-of select="text()"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test = "@TYPE_CDA!=''"><xsl:value-of select = "@TYPE_CDA"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@CHDESC_LB!=''"><xsl:value-of select = "@CHDESC_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@CHEMIN_LB!=''"><xsl:value-of select = "@CHEMIN_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@DEB_DT!=''"><xsl:value-of select = "@DEB_DT"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@FIN_DT!=''"><xsl:value-of select = "@FIN_DT"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@ECHMIN_NB!='' and @ECHMIN_NB!=0">1:<xsl:value-of select = '@ECHMIN_NB'/></xsl:when>
                  <xsl:when test="@ECHMIN_NB=0">&#160;</xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@ECHMAX_NB!='' and @ECHMAX_NB!=0">1:<xsl:value-of select = '@ECHMAX_NB'/></xsl:when>
                  <xsl:when test="@ECHMAX_NB=0">&#160;</xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@ACTU_BL!=''"><xsl:value-of select = "@ACTU_BL"/></xsl:when>
                  
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@VALID_BL!=''"><xsl:value-of select = "@VALID_BL"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@FREQ_LB!=''"><xsl:value-of select = "@FREQ_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@HISTO_BL!=''"><xsl:value-of select = "@HISTO_BL"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </xsl:for-each>
          <xsl:for-each select = "TABLE/MIROIR">
            <tr>
              <td>
                <xsl:value-of select = "@COUGRA_RFA"/>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test = "text()!=''"><xsl:value-of select="text()"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test = "@TYPE_CDA!=''"><xsl:value-of select = "@TYPE_CDA"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@CHDESC_LB!=''"><xsl:value-of select = "@CHDESC_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@CHEMIN_LB!=''"><xsl:value-of select = "@CHEMIN_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@DEB_DT!=''"><xsl:value-of select = "@DEB_DT"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@FIN_DT!=''"><xsl:value-of select = "@FIN_DT"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@ECHMIN_NB!='' and @ECHMIN_NB!=0">1:<xsl:value-of select = '@ECHMIN_NB'/></xsl:when>
                  <xsl:when test="@ECHMIN_NB=0">&#160;</xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td>
                <xsl:choose>
                  <xsl:when test="@ECHMAX_NB!='' and @ECHMAX_NB!=0">1:<xsl:value-of select = '@ECHMAX_NB'/></xsl:when>
                  <xsl:when test="@ECHMAX_NB=0">&#160;</xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@ACTU_BL!=''"><xsl:value-of select = "@ACTU_BL"/></xsl:when>
                  
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@VALID_BL!=''"><xsl:value-of select = "@VALID_BL"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@FREQ_LB!=''"><xsl:value-of select = "@FREQ_LB"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@HISTO_BL!=''"><xsl:value-of select = "@HISTO_BL"/></xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </xsl:for-each>          
        </table>
        </font>
        </font>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
